Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions

# DSearchPath Class Reference

This class stores a list of directories that can be searched, in order, to locate a particular file. More...

List of all members.

## Classes
class | Results
## Public Member Functions
| DSearchPath ()
| DSearchPath (DSearchPath const copy)
| DSearchPath (string path, string separator)
| DSearchPath (string path)
| DSearchPath (Filename const directory)
| appendDirectory (Filename const directory)
| appendPath (DSearchPath const path)
| appendPath (string path, string separator)
| appendPath (string path)
| clear ()
Results | findAllFiles (Filename const filename)
| This variant of find_all_files() returns the new Results object, instead of filling on in on the parameter list.
int | findAllFiles (Filename const filename, Results results)
Filename | findFile (Filename const filename)
list | getDirectories ()
Filename const | getDirectory (int n)
int | getNumDirectories ()
bool | isEmpty ()
DSearchPath | operator= (DSearchPath const copy)
| output (ostream out, string separator)
| output (ostream out)
| prependDirectory (Filename const directory)
| prependPath (DSearchPath const path)
| write (ostream out, int indent_level)
| write (ostream out)
## Static Public Member Functions
static Filename | searchPath (Filename const filename, string path, string separator)
| A quick-and-easy way to search a searchpath for a file when you don't feel like building or keeping around a DSearchPath object.
static Filename | searchPath (Filename const filename, string path)
| A quick-and-easy way to search a searchpath for a file when you don't feel like building or keeping around a DSearchPath object.

## Detailed Description

This class stores a list of directories that can be searched, in order, to locate a particular file.

It is normally constructed by passing it a traditional searchpath-style string, e.g. a list of directory names delimited by spaces or colons, but it can also be built up explicitly.

## Constructor & Destructor Documentation

DSearchPath | ( |  | ) |

DSearchPath | ( | DSearchPath const | copy | ) |

DSearchPath | ( | Filename const | directory | ) |

DSearchPath | ( | string | path,
|  | string | separator
| ) |  |

DSearchPath | ( | string | path | ) |

## Member Function Documentation

appendDirectory | ( | Filename const | directory | ) |

appendPath | ( | DSearchPath const | path | ) |

appendPath | ( | string | path,
|  | string | separator
| ) |  |

appendPath | ( | string | path | ) |

clear | ( |  | ) |

Results findAllFiles | ( | Filename const | filename | ) |

This variant of find_all_files() returns the new Results object, instead of filling on in on the parameter list.

This is a little more convenient to call from Python.

int findAllFiles | ( | Filename const | filename,
|  | Results | results
| ) |  |

Filename findFile | ( | Filename const | filename | ) |

list getDirectories | ( |  | ) |

Filename const getDirectory | ( | int | n | ) |

int getNumDirectories | ( |  | ) |

bool isEmpty | ( |  | ) |

DSearchPath operator= | ( | DSearchPath const | copy | ) |

output | ( | ostream | out,
|  | string | separator
| ) |  |

output | ( | ostream | out | ) |

prependDirectory | ( | Filename const | directory | ) |

prependPath | ( | DSearchPath const | path | ) |

static Filename searchPath | ( | Filename const | filename,
|  | string | path
| ) |  | `[static]`

A quick-and-easy way to search a searchpath for a file when you don't feel like building or keeping around a DSearchPath object.

This simply constructs a temporary DSearchPath based on the indicated path string, and searches that.

static Filename searchPath | ( | Filename const | filename,
|  | string | path,
|  | string | separator
| ) |  | `[static]`

A quick-and-easy way to search a searchpath for a file when you don't feel like building or keeping around a DSearchPath object.

This simply constructs a temporary DSearchPath based on the indicated path string, and searches that.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties